com.amazon.redshift.jdbc

## Class MetadataAPIHelper.ShowParametersInfo

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper.ShowParametersInfo

Enclosing class:
  MetadataAPIHelper

    public static class MetadataAPIHelper.ShowParametersInfo
    extends Object

Data container for stored procedure parameter metadata returned by the SHOW PARAMETERS command.

This class represents information about stored procedure parameters including their name, type, and position. Used by JDBC metadata methods like getProcedureColumns() and getFunctionColumns() to provide structured access to parameter information.

See Also:
  `DatabaseMetaData.getProcedureColumns(String, String, String, String)`, `DatabaseMetaData.getFunctionColumns(String, String, String, String)`, `MetadataServerProxy.getProcedureColumns(String, String, String, String, boolean)`, `MetadataServerProxy.getFunctionColumns(String, String, String, String, boolean)`

### Constructor Summary

Constructors
Constructor and Description
`ShowParametersInfo(String databaseName, String schemaName, String procedureName, String functionName, String parameterName, String ordinalPosition, String parameterType, String dataType, String characterMaximumLength, String numericPrecision, String numericScale)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCharacterMaximumLength()`
`String` `getDatabaseName()`
`String` `getDataType()`
`String` `getFunctionName()`
`String` `getNumericPrecision()`
`String` `getNumericScale()`
`String` `getOrdinalPosition()`
`String` `getParameterName()`
`String` `getParameterType()`
`String` `getProcedureName()`
`String` `getSchemaName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowParametersInfo

    public ShowParametersInfo(String databaseName,
                              String schemaName,
                              String procedureName,
                              String functionName,
                              String parameterName,
                              String ordinalPosition,
                              String parameterType,
                              String dataType,
                              String characterMaximumLength,
                              String numericPrecision,
                              String numericScale)

### Method Detail

#### getDatabaseName

    public String getDatabaseName()

#### getSchemaName

    public String getSchemaName()

#### getProcedureName

    public String getProcedureName()

#### getFunctionName

    public String getFunctionName()

#### getParameterName

    public String getParameterName()

#### getOrdinalPosition

    public String getOrdinalPosition()

#### getParameterType

    public String getParameterType()

#### getDataType

    public String getDataType()

#### getCharacterMaximumLength

    public String getCharacterMaximumLength()

#### getNumericPrecision

    public String getNumericPrecision()

#### getNumericScale

    public String getNumericScale()